#
# spec file for package python-sphinxcontrib-fulltoc
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-sphinxcontrib-fulltoc
Version:        1.0
Release:        1.4
Summary:        Include a full table of contents in your Sphinx HTML sidebar
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://sphinxcontrib-fulltox.readthedocs.org
Source:         https://pypi.python.org/packages/source/s/sphinxcontrib-fulltoc/sphinxcontrib-fulltoc-%{version}.tar.gz
Patch1:         %{name}-use-setuptools-instead-of-distribute.patch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
sphinxcontrib-fulltoc is an extension for the Sphinx_ documentation
system that changes the HTML output to include a more detailed table
of contents in the sidebar. By default Sphinx only shows the local
headers for the current page. With the extension installed, all of the
page titles are included, and the local headers for the current page
are also included in the appropriate place within the document.

%prep
%setup -q -n sphinxcontrib-fulltoc-%{version}
%patch1 -p1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{python_sitelib}/*

%changelog
* Wed Jul 23 2014 p.drouand@gmail.com
- Use download Url as source
- Added patches:
  * python-sphinxcontrib-fulltoc-use-setuptools-instead-of-distribute.patch
* Thu Jul 17 2014 dsterba@suse.cz
- initial import 1.0
